guile-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Guile-commits] 336/437: Correct bogus git entry


From: Andy Wingo
Subject: [Guile-commits] 336/437: Correct bogus git entry
Date: Mon, 2 Jul 2018 05:14:49 -0400 (EDT)

wingo pushed a commit to branch lightning
in repository guile.

commit 2d3529ddb583f31b16ce747b7d7f68dd5849502e
Author: pcpa <address@hidden>
Date:   Thu Nov 20 22:48:43 2014 -0200

    Correct bogus git entry
---
 check/ctramp   | 228 ---------------------------------------------------------
 check/ctramp.c | 123 +++++++++++++++++++++++++++++++
 2 files changed, 123 insertions(+), 228 deletions(-)

diff --git a/check/ctramp b/check/ctramp
deleted file mode 100755
index a862d90..0000000
--- a/check/ctramp
+++ /dev/null
@@ -1,228 +0,0 @@
-#! /bin/sh
-
-# ctramp - temporary wrapper script for .libs/ctramp
-# Generated by libtool (GNU libtool) 2.4.2
-#
-# The ctramp program cannot be directly executed until all the libtool
-# libraries that it depends on are installed.
-#
-# This wrapper script should never be moved out of the build directory.
-# If it is, it will not operate correctly.
-
-# Sed substitution that helps us do robust quoting.  It backslashifies
-# metacharacters that are still active within double-quoted strings.
-sed_quote_subst='s/\([`"$\\]\)/\\\1/g'
-
-# Be Bourne compatible
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
-  emulate sh
-  NULLCMD=:
-  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
-  # is contrary to our usage.  Disable this feature.
-  alias -g '${1+"$@"}'='"$@"'
-  setopt NO_GLOB_SUBST
-else
-  case `(set -o) 2>/dev/null` in *posix*) set -o posix;; esac
-fi
-BIN_SH=xpg4; export BIN_SH # for Tru64
-DUALCASE=1; export DUALCASE # for MKS sh
-
-# The HP-UX ksh and POSIX shell print the target directory to stdout
-# if CDPATH is set.
-(unset CDPATH) >/dev/null 2>&1 && unset CDPATH
-
-relink_command="(cd /home/pcpa/gnu/lightning/check; { test -z 
\"\${LIBRARY_PATH+set}\" || unset LIBRARY_PATH || { LIBRARY_PATH=; export 
LIBRARY_PATH; }; }; { test -z \"\${COMPILER_PATH+set}\" || unset COMPILER_PATH 
|| { COMPILER_PATH=; export COMPILER_PATH; }; }; { test -z 
\"\${GCC_EXEC_PREFIX+set}\" || unset GCC_EXEC_PREFIX || { GCC_EXEC_PREFIX=; 
export GCC_EXEC_PREFIX; }; }; { test -z \"\${LD_RUN_PATH+set}\" || unset 
LD_RUN_PATH || { LD_RUN_PATH=; export LD_RUN_PATH; }; }; { test -z \" [...]
-
-# This environment variable determines our operation mode.
-if test "$libtool_install_magic" = "%%%MAGIC variable%%%"; then
-  # install mode needs the following variables:
-  generated_by_libtool_version='2.4.2'
-  notinst_deplibs=' ../lib/liblightning.la'
-else
-  # When we are sourced in execute mode, $file and $ECHO are already set.
-  if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
-    file="$0"
-
-# A function that is used when there is no print builtin or printf.
-func_fallback_echo ()
-{
-  eval 'cat <<_LTECHO_EOF
-$1
-_LTECHO_EOF'
-}
-    ECHO="printf %s\\n"
-  fi
-
-# Very basic option parsing. These options are (a) specific to
-# the libtool wrapper, (b) are identical between the wrapper
-# /script/ and the wrapper /executable/ which is used only on
-# windows platforms, and (c) all begin with the string --lt-
-# (application programs are unlikely to have options which match
-# this pattern).
-#
-# There are only two supported options: --lt-debug and
-# --lt-dump-script. There is, deliberately, no --lt-help.
-#
-# The first argument to this parsing function should be the
-# script's ../libtool value, followed by no.
-lt_option_debug=
-func_parse_lt_options ()
-{
-  lt_script_arg0=$0
-  shift
-  for lt_opt
-  do
-    case "$lt_opt" in
-    --lt-debug) lt_option_debug=1 ;;
-    --lt-dump-script)
-        lt_dump_D=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 
's%/[^/]*$%%'`
-        test "X$lt_dump_D" = "X$lt_script_arg0" && lt_dump_D=.
-        lt_dump_F=`$ECHO "X$lt_script_arg0" | /usr/bin/sed -e 's/^X//' -e 
's%^.*/%%'`
-        cat "$lt_dump_D/$lt_dump_F"
-        exit 0
-      ;;
-    --lt-*)
-        $ECHO "Unrecognized --lt- option: '$lt_opt'" 1>&2
-        exit 1
-      ;;
-    esac
-  done
-
-  # Print the debug banner immediately:
-  if test -n "$lt_option_debug"; then
-    echo "ctramp:ctramp:${LINENO}: libtool wrapper (GNU libtool) 2.4.2" 1>&2
-  fi
-}
-
-# Used when --lt-debug. Prints its arguments to stdout
-# (redirection is the responsibility of the caller)
-func_lt_dump_args ()
-{
-  lt_dump_args_N=1;
-  for lt_arg
-  do
-    $ECHO "ctramp:ctramp:${LINENO}: newargv[$lt_dump_args_N]: $lt_arg"
-    lt_dump_args_N=`expr $lt_dump_args_N + 1`
-  done
-}
-
-# Core function for launching the target application
-func_exec_program_core ()
-{
-
-      if test -n "$lt_option_debug"; then
-        $ECHO "ctramp:ctramp:${LINENO}: newargv[0]: $progdir/$program" 1>&2
-        func_lt_dump_args ${1+"$@"} 1>&2
-      fi
-      exec "$progdir/$program" ${1+"$@"}
-
-      $ECHO "$0: cannot exec $program $*" 1>&2
-      exit 1
-}
-
-# A function to encapsulate launching the target application
-# Strips options in the --lt-* namespace from $@ and
-# launches target application with the remaining arguments.
-func_exec_program ()
-{
-  case " $* " in
-  *\ --lt-*)
-    for lt_wr_arg
-    do
-      case $lt_wr_arg in
-      --lt-*) ;;
-      *) set x "$@" "$lt_wr_arg"; shift;;
-      esac
-      shift
-    done ;;
-  esac
-  func_exec_program_core ${1+"$@"}
-}
-
-  # Parse options
-  func_parse_lt_options "$0" ${1+"$@"}
-
-  # Find the directory that this script lives in.
-  thisdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
-  test "x$thisdir" = "x$file" && thisdir=.
-
-  # Follow symbolic links until we get to the real thisdir.
-  file=`ls -ld "$file" | /usr/bin/sed -n 's/.*-> //p'`
-  while test -n "$file"; do
-    destdir=`$ECHO "$file" | /usr/bin/sed 's%/[^/]*$%%'`
-
-    # If there was a directory component, then change thisdir.
-    if test "x$destdir" != "x$file"; then
-      case "$destdir" in
-      [\\/]* | [A-Za-z]:[\\/]*) thisdir="$destdir" ;;
-      *) thisdir="$thisdir/$destdir" ;;
-      esac
-    fi
-
-    file=`$ECHO "$file" | /usr/bin/sed 's%^.*/%%'`
-    file=`ls -ld "$thisdir/$file" | /usr/bin/sed -n 's/.*-> //p'`
-  done
-
-  # Usually 'no', except on cygwin/mingw when embedded into
-  # the cwrapper.
-  WRAPPER_SCRIPT_BELONGS_IN_OBJDIR=no
-  if test "$WRAPPER_SCRIPT_BELONGS_IN_OBJDIR" = "yes"; then
-    # special case for '.'
-    if test "$thisdir" = "."; then
-      thisdir=`pwd`
-    fi
-    # remove .libs from thisdir
-    case "$thisdir" in
-    *[\\/].libs ) thisdir=`$ECHO "$thisdir" | /usr/bin/sed 
's%[\\/][^\\/]*$%%'` ;;
-    .libs )   thisdir=. ;;
-    esac
-  fi
-
-  # Try to get the absolute directory name.
-  absdir=`cd "$thisdir" && pwd`
-  test -n "$absdir" && thisdir="$absdir"
-
-  program=lt-'ctramp'
-  progdir="$thisdir/.libs"
-
-  if test ! -f "$progdir/$program" ||
-     { file=`ls -1dt "$progdir/$program" "$progdir/../$program" 2>/dev/null | 
/usr/bin/sed 1q`; \
-       test "X$file" != "X$progdir/$program"; }; then
-
-    file="$$-$program"
-
-    if test ! -d "$progdir"; then
-      mkdir "$progdir"
-    else
-      rm -f "$progdir/$file"
-    fi
-
-    # relink executable if necessary
-    if test -n "$relink_command"; then
-      if relink_command_output=`eval $relink_command 2>&1`; then :
-      else
-       printf %s\n "$relink_command_output" >&2
-       rm -f "$progdir/$file"
-       exit 1
-      fi
-    fi
-
-    mv -f "$progdir/$file" "$progdir/$program" 2>/dev/null ||
-    { rm -f "$progdir/$program";
-      mv -f "$progdir/$file" "$progdir/$program"; }
-    rm -f "$progdir/$file"
-  fi
-
-  if test -f "$progdir/$program"; then
-    if test "$libtool_execute_magic" != "%%%MAGIC variable%%%"; then
-      # Run the actual program with our arguments.
-      func_exec_program ${1+"$@"}
-    fi
-  else
-    # The program doesn't exist.
-    $ECHO "$0: error: \`$progdir/$program' does not exist" 1>&2
-    $ECHO "This script is just a wrapper for $program." 1>&2
-    $ECHO "See the libtool documentation for more information." 1>&2
-    exit 1
-  fi
-fi
diff --git a/check/ctramp.c b/check/ctramp.c
new file mode 100644
index 0000000..941c7c1
--- /dev/null
+++ b/check/ctramp.c
@@ -0,0 +1,123 @@
+#include <lightning.h>
+#include <stdio.h>
+
+jit_state_t            *_jit;
+long                    top;
+long                    stk[1024];
+
+int
+main(int argc, char *argv[])
+{
+    void                *address;
+    void               (*call)(void*);
+    jit_state_t                 *frame_jit, *tramp_jit;
+    jit_node_t          *arg, *done, *xfibs, *out, *ret1, *ret2;
+
+    init_jit(argv[0]);
+    _jit = frame_jit = jit_new_state();
+    jit_name("main");
+    jit_prolog();
+    jit_frame(64);
+
+    arg = jit_arg();
+    jit_getarg(JIT_R1, arg);
+
+    /* Initialize language stack */
+    jit_movi(JIT_R0, (jit_word_t)stk);
+    jit_sti(&top, JIT_R0);
+
+    /* return address */
+    done = jit_movi(JIT_R0, 0);
+    /* argument */
+    jit_movi(JIT_V0, 32);
+    /* jump to code */
+    jit_jmpr(JIT_R1);
+    jit_patch(done);
+
+    jit_prepare();
+    jit_pushargi((jit_word_t)"xfibs(%d) = %d\n");
+    jit_ellipsis();
+    jit_pushargi(32);
+    jit_pushargr(JIT_V0);
+    jit_finishi(printf);
+    jit_ret();
+    jit_epilog();
+    call = jit_emit();
+    jit_clear_state();
+
+#define SIZE                           sizeof(jit_word_t)
+    _jit = tramp_jit = jit_new_state();
+    jit_name("xfibs");
+    xfibs = jit_label();
+    jit_prolog();
+    jit_tramp(64);
+    out = jit_blti(JIT_V0, 2);
+    jit_subi(JIT_V1, JIT_V0, 1);       /* V1 = N-1 */
+    jit_subi(JIT_V2, JIT_V0, 2);       /* V1 = N-2 */
+
+    /* save return address */
+    jit_ldi(JIT_R1, &top);
+    jit_stxi(SIZE * 0, JIT_R1, JIT_R0);
+    /* save operands */
+    jit_stxi(SIZE * 1, JIT_R1, JIT_V0);
+    jit_stxi(SIZE * 2, JIT_R1, JIT_V1);
+    jit_stxi(SIZE * 3, JIT_R1, JIT_V2);
+    /* adjust "language" stack */
+    jit_addi(JIT_R1, JIT_R1, SIZE * 4);
+    jit_sti(&top, JIT_R1);
+
+    /* return address */
+    ret1 = jit_movi(JIT_R0, 0);
+    /* argument */
+    jit_movr(JIT_V0, JIT_V1);
+    /* indirect goto */
+    jit_patch_at(jit_jmpi(), xfibs);
+    jit_patch(ret1);
+    jit_movr(JIT_V1, JIT_V0);          /* V1 = rfibs(N-1) */
+    /* save V1 */
+    jit_ldi(JIT_R1, &top);
+    jit_stxi(-SIZE * 2, JIT_R1, JIT_V1);
+
+    /* reload V2 */
+    jit_ldxi(JIT_V2, JIT_R1, -SIZE * 1);
+
+    /* return address */
+    ret2 = jit_movi(JIT_R0, 0);
+    /* argument */
+    jit_movr(JIT_V0, JIT_V2);
+    /* indirect goto */
+    jit_patch_at(jit_jmpi(), xfibs);
+    jit_patch(ret2);
+    jit_movr(JIT_V2, JIT_V0);          /* V2 = rfibs(N-2) */
+
+    /* reload return address */
+    jit_ldi(JIT_R1, &top);
+    jit_subi(JIT_R1, JIT_R1, SIZE * 4);
+    jit_ldxi(JIT_R0, JIT_R1, SIZE * 0);
+    /* reload operands */
+    jit_ldxi(JIT_V0, JIT_R1, SIZE * 1);
+    jit_ldxi(JIT_V1, JIT_R1, SIZE * 2);
+    /* V2 already loaded */
+    /* update "language" stack */
+    jit_sti(&top, JIT_R1);
+
+    jit_addi(JIT_V1, JIT_V1, 1);
+    jit_addr(JIT_V0, JIT_V1, JIT_V2);
+    jit_jmpr(JIT_R0);
+
+    jit_patch(out);
+    jit_movi(JIT_V0, 1);
+    jit_jmpr(JIT_R0);
+    jit_epilog();
+
+    address = jit_emit();
+    jit_clear_state();
+
+    (*call)(address);
+
+    jit_destroy_state();
+
+    _jit = frame_jit;
+    jit_destroy_state();
+    return 0;
+}



reply via email to

[Prev in Thread] Current Thread [Next in Thread]